The data object for an inbox rule update request. The id must match the rule_id path parameter.
attributes [required]
object
Attributes for creating or updating an inbox rule.
action [required]
object
The action to take when the inbox rule matches a finding.
description
string
An optional description providing more context for the rule.
enabled
boolean
Whether the inbox rule is enabled.
name [required]
string
The name of the inbox rule.
rule [required]
object
Defines the scope of findings to which the automation rule applies.
finding_types [required]
[string]
The list of security finding types that the automation rule applies to.
query
string
A search query to further filter the findings matched by this rule. The @workflow.* namespace and @status fields are not permitted. For a reference of available fields, see the Security Findings schema documentation.
id [required]
uuid
The ID of the inbox rule to update.
type [required]
enum
The JSON:API type for inbox rules.
Allowed enum values: inbox_rules
The data object for an inbox rule returned by the API.
attributes [required]
object
Attributes of an inbox rule returned by the API.
action [required]
object
The action to take when the inbox rule matches a finding.
description
string
An optional description providing more context for the rule.
created_at [required]
int64
The Unix timestamp in milliseconds when the rule was created.
created_by [required]
object
The user or Datadog system who created the rule.
id [required]
string
The actor's identifier (a user UUID or a system identifier).
name [required]
string
The name of the actor.
type [required]
enum
Whether the actor is a user or the Datadog system.
Allowed enum values: user,system
enabled [required]
boolean
Whether the inbox rule is enabled.
modified_at [required]
int64
The Unix timestamp in milliseconds when the rule was last modified.
modified_by [required]
object
The user or Datadog system who last modified the rule.
id [required]
string
The actor's identifier (a user UUID or a system identifier).
name [required]
string
The name of the actor.
type [required]
enum
Whether the actor is a user or the Datadog system.
Allowed enum values: user,system
name [required]
string
The name of the inbox rule.
rule [required]
object
Defines the scope of findings to which the automation rule applies.
finding_types [required]
[string]
The list of security finding types that the automation rule applies to.
query
string
A search query to further filter the findings matched by this rule. The @workflow.* namespace and @status fields are not permitted. For a reference of available fields, see the Security Findings schema documentation.
id [required]
uuid
The ID of the inbox rule.
type [required]
enum
The JSON:API type for inbox rules.
Allowed enum values: inbox_rules
{"data":{"attributes":{"action":{"description":"Needs triage"},"created_at":1722439510282,"created_by":{"id":"00000000-0000-0000-0000-000000000000","name":"Jane Doe","type":"user"},"enabled":true,"modified_at":1722439510282,"modified_by":{"id":"00000000-0000-0000-0000-000000000000","name":"Jane Doe","type":"user"},"name":"Triage production misconfigurations","rule":{"finding_types":["misconfiguration"],"query":"env:prod team:platform"}},"id":"00000000-0000-0000-0000-000000000000","type":"inbox_rules"}}
## default
#
# Path parameters exportrule_id="00000000-0000-0000-0000-000000000000" # Use a Personal Access Token or Service Access Token exportDD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"
// Update an inbox rule returns "Successfully updated the inbox rule" responsepackagemainimport("context""encoding/json""fmt""os""github.com/DataDog/datadog-api-client-go/v2/api/datadog""github.com/DataDog/datadog-api-client-go/v2/api/datadogV2""github.com/google/uuid")funcmain(){// there is a valid "valid_inbox_rule" in the systemValidInboxRuleDataID:=uuid.MustParse(os.Getenv("VALID_INBOX_RULE_DATA_ID"))body:=datadogV2.InboxRuleUpdateRequest{Data:datadogV2.InboxRuleDataUpdate{Attributes:datadogV2.InboxRuleAttributesCreate{Action:datadogV2.InboxRuleAction{Description:datadog.PtrString("Needs triage"),},Enabled:datadog.PtrBool(false),Name:"Example-Security-Monitoring",Rule:datadogV2.AutomationRuleScope{FindingTypes:[]datadogV2.SecurityFindingType{datadogV2.SECURITYFINDINGTYPE_MISCONFIGURATION,},Query:datadog.PtrString("env:staging"),},},Id:ValidInboxRuleDataID,Type:datadogV2.INBOXRULETYPE_INBOX_RULES,},}ctx:=datadog.NewDefaultContext(context.Background())ctx=context.WithValue(ctx,datadog.ContextAccessToken,os.Getenv("DD_BEARER_TOKEN"))configuration:=datadog.NewConfiguration()configuration.SetUnstableOperationEnabled("v2.UpdateSecurityFindingsAutomationInboxRule",true)apiClient:=datadog.NewAPIClient(configuration)api:=datadogV2.NewSecurityMonitoringApi(apiClient)resp,r,err:=api.UpdateSecurityFindingsAutomationInboxRule(ctx,ValidInboxRuleDataID,body)iferr!=nil{fmt.Fprintf(os.Stderr,"Error when calling `SecurityMonitoringApi.UpdateSecurityFindingsAutomationInboxRule`: %v\n",err)fmt.Fprintf(os.Stderr,"Full HTTP response: %v\n",r)}responseContent,_:=json.MarshalIndent(resp,""," ")fmt.Fprintf(os.Stdout,"Response from `SecurityMonitoringApi.UpdateSecurityFindingsAutomationInboxRule`:\n%s\n",responseContent)}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"go run"main.go"
// Update an inbox rule returns "Successfully updated the inbox rule" responseimportcom.datadog.api.client.ApiClient;importcom.datadog.api.client.ApiException;importcom.datadog.api.client.v2.api.SecurityMonitoringApi;importcom.datadog.api.client.v2.model.AutomationRuleScope;importcom.datadog.api.client.v2.model.InboxRuleAction;importcom.datadog.api.client.v2.model.InboxRuleAttributesCreate;importcom.datadog.api.client.v2.model.InboxRuleDataUpdate;importcom.datadog.api.client.v2.model.InboxRuleResponse;importcom.datadog.api.client.v2.model.InboxRuleType;importcom.datadog.api.client.v2.model.InboxRuleUpdateRequest;importcom.datadog.api.client.v2.model.SecurityFindingType;importjava.util.Collections;importjava.util.UUID;publicclassExample{publicstaticvoidmain(String[]args){ApiClientdefaultClient=ApiClient.getDefaultApiClient();defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));defaultClient.setUnstableOperationEnabled("v2.updateSecurityFindingsAutomationInboxRule",true);SecurityMonitoringApiapiInstance=newSecurityMonitoringApi(defaultClient);// there is a valid "valid_inbox_rule" in the systemUUIDVALID_INBOX_RULE_DATA_ID=null;try{VALID_INBOX_RULE_DATA_ID=UUID.fromString(System.getenv("VALID_INBOX_RULE_DATA_ID"));}catch(IllegalArgumentExceptione){System.err.println("Error parsing UUID: "+e.getMessage());}InboxRuleUpdateRequestbody=newInboxRuleUpdateRequest().data(newInboxRuleDataUpdate().attributes(newInboxRuleAttributesCreate().action(newInboxRuleAction().description("Needs triage")).enabled(false).name("Example-Security-Monitoring").rule(newAutomationRuleScope().findingTypes(Collections.singletonList(SecurityFindingType.MISCONFIGURATION)).query("env:staging"))).id(VALID_INBOX_RULE_DATA_ID).type(InboxRuleType.INBOX_RULES));try{InboxRuleResponseresult=apiInstance.updateSecurityFindingsAutomationInboxRule(VALID_INBOX_RULE_DATA_ID,body);System.out.println(result);}catch(ApiExceptione){System.err.println("Exception when calling SecurityMonitoringApi#updateSecurityFindingsAutomationInboxRule");System.err.println("Status code: "+e.getCode());System.err.println("Reason: "+e.getResponseBody());System.err.println("Response headers: "+e.getResponseHeaders());e.printStackTrace();}}}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"java"Example.java"
"""
Update an inbox rule returns "Successfully updated the inbox rule" response
"""fromosimportenvironfromdatadog_api_clientimportApiClient,Configurationfromdatadog_api_client.v2.api.security_monitoring_apiimportSecurityMonitoringApifromdatadog_api_client.v2.model.automation_rule_scopeimportAutomationRuleScopefromdatadog_api_client.v2.model.inbox_rule_actionimportInboxRuleActionfromdatadog_api_client.v2.model.inbox_rule_attributes_createimportInboxRuleAttributesCreatefromdatadog_api_client.v2.model.inbox_rule_data_updateimportInboxRuleDataUpdatefromdatadog_api_client.v2.model.inbox_rule_typeimportInboxRuleTypefromdatadog_api_client.v2.model.inbox_rule_update_requestimportInboxRuleUpdateRequestfromdatadog_api_client.v2.model.security_finding_typeimportSecurityFindingType# there is a valid "valid_inbox_rule" in the systemVALID_INBOX_RULE_DATA_ID=environ["VALID_INBOX_RULE_DATA_ID"]body=InboxRuleUpdateRequest(data=InboxRuleDataUpdate(attributes=InboxRuleAttributesCreate(action=InboxRuleAction(description="Needs triage",),enabled=False,name="Example-Security-Monitoring",rule=AutomationRuleScope(finding_types=[SecurityFindingType.MISCONFIGURATION,],query="env:staging",),),id=VALID_INBOX_RULE_DATA_ID,type=InboxRuleType.INBOX_RULES,),)configuration=Configuration()configuration.access_token=environ["DD_BEARER_TOKEN"]configuration.unstable_operations["update_security_findings_automation_inbox_rule"]=TruewithApiClient(configuration)asapi_client:api_instance=SecurityMonitoringApi(api_client)response=api_instance.update_security_findings_automation_inbox_rule(rule_id=VALID_INBOX_RULE_DATA_ID,body=body)print(response)
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"python3"example.py"
# Update an inbox rule returns "Successfully updated the inbox rule" responserequire"datadog_api_client"DatadogAPIClient.configuredo|config|config.access_token=ENV["DD_BEARER_TOKEN"]config.unstable_operations["v2.update_security_findings_automation_inbox_rule".to_sym]=trueendapi_instance=DatadogAPIClient::V2::SecurityMonitoringAPI.new# there is a valid "valid_inbox_rule" in the systemVALID_INBOX_RULE_DATA_ID=ENV["VALID_INBOX_RULE_DATA_ID"]body=DatadogAPIClient::V2::InboxRuleUpdateRequest.new({data:DatadogAPIClient::V2::InboxRuleDataUpdate.new({attributes:DatadogAPIClient::V2::InboxRuleAttributesCreate.new({action:DatadogAPIClient::V2::InboxRuleAction.new({description:"Needs triage",}),enabled:false,name:"Example-Security-Monitoring",rule:DatadogAPIClient::V2::AutomationRuleScope.new({finding_types:[DatadogAPIClient::V2::SecurityFindingType::MISCONFIGURATION,],query:"env:staging",}),}),id:VALID_INBOX_RULE_DATA_ID,type:DatadogAPIClient::V2::InboxRuleType::INBOX_RULES,}),})papi_instance.update_security_findings_automation_inbox_rule(VALID_INBOX_RULE_DATA_ID,body)
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"rb"example.rb"
// Update an inbox rule returns "Successfully updated the inbox rule" response
usedatadog_api_client::datadog;usedatadog_api_client::datadogV2::api_security_monitoring::SecurityMonitoringAPI;usedatadog_api_client::datadogV2::model::AutomationRuleScope;usedatadog_api_client::datadogV2::model::InboxRuleAction;usedatadog_api_client::datadogV2::model::InboxRuleAttributesCreate;usedatadog_api_client::datadogV2::model::InboxRuleDataUpdate;usedatadog_api_client::datadogV2::model::InboxRuleType;usedatadog_api_client::datadogV2::model::InboxRuleUpdateRequest;usedatadog_api_client::datadogV2::model::SecurityFindingType;#[tokio::main]asyncfnmain(){// there is a valid "valid_inbox_rule" in the system
letvalid_inbox_rule_data_id=uuid::Uuid::parse_str(&std::env::var("VALID_INBOX_RULE_DATA_ID").unwrap()).expect("Invalid UUID");letbody=InboxRuleUpdateRequest::new(InboxRuleDataUpdate::new(InboxRuleAttributesCreate::new(InboxRuleAction::new().description("Needs triage".to_string()),"Example-Security-Monitoring".to_string(),AutomationRuleScope::new(vec![SecurityFindingType::MISCONFIGURATION]).query("env:staging".to_string()),).enabled(false),valid_inbox_rule_data_id.clone(),InboxRuleType::INBOX_RULES,));letmutconfiguration=datadog::Configuration::new();configuration.set_unstable_operation_enabled("v2.UpdateSecurityFindingsAutomationInboxRule",true);letapi=SecurityMonitoringAPI::with_config(configuration);letresp=api.update_security_findings_automation_inbox_rule(valid_inbox_rule_data_id.clone(),body).await;ifletOk(value)=resp{println!("{:#?}",value);}else{println!("{:#?}",resp.unwrap_err());}}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_API_KEY="<DD_API_KEY>"DD_APP_KEY="<DD_APP_KEY>"cargo run
/**
* Update an inbox rule returns "Successfully updated the inbox rule" response
*/import{client,v2}from"@datadog/datadog-api-client";constconfiguration=client.createConfiguration({authMethods:{AuthZ:{accessToken: process.env.DD_BEARER_TOKENasstring,},},});configuration.unstableOperations["v2.updateSecurityFindingsAutomationInboxRule"]=true;constapiInstance=newv2.SecurityMonitoringApi(configuration);// there is a valid "valid_inbox_rule" in the system
constVALID_INBOX_RULE_DATA_ID=process.env.VALID_INBOX_RULE_DATA_IDasstring;constparams: v2.SecurityMonitoringApiUpdateSecurityFindingsAutomationInboxRuleRequest={body:{data:{attributes:{action:{description:"Needs triage",},enabled: false,name:"Example-Security-Monitoring",rule:{findingTypes:["misconfiguration"],query:"env:staging",},},id: VALID_INBOX_RULE_DATA_ID,type:"inbox_rules",},},ruleId: VALID_INBOX_RULE_DATA_ID,};apiInstance.updateSecurityFindingsAutomationInboxRule(params).then((data: v2.InboxRuleResponse)=>{console.log("API called successfully. Returned data: "+JSON.stringify(data));}).catch((error: any)=>console.error(error));
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"tsc"example.ts"
맞춤형 데모 요청
Datadog 시작하기
Ask AI
AI-generated responses may be inaccurate. Verify important info.